
/*
This sketch passes any data coming from of the GPS receiver on to the hardware UART
The GPS is connected to a software UART on pins 2 and 3 at 4800 BAUD
Received data is then passed through and sent to the hardware UART at 4800 BAUD
*/
 
#include <SoftwareSerial.h>

// GPS Baud Rate is 4800
#define GPSBAUD 4800
#define RXPIN 2
#define TXPIN 3

SoftwareSerial uart_gps(RXPIN, TXPIN);
void setup()
{
  uart_gps.begin(GPSBAUD);
  Serial.begin(4800);
}
void loop()
{
  byte a;
    if ( uart_gps.available() > 0 )
  {
    a = uart_gps.read(); // get the byte of data from the GPS
    Serial.write(a);
  }
}

